package com.nokia.sms.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class SendDingTalkMessageDTO {
    /**
     * 消息
     */
    @NotBlank(message = "message不能为空")
    private String message;
    /**
     * 访问令牌
     */
    @NotBlank(message = "accessToken不能为空")
    private String accessToken;
    /**
     * 自定义关键词
     */
    @NotBlank(message = "prefix不能为空")
    private String prefix;
}
